Skip to content

# Selector

### Structure

    {
      "type": "selector",
      "tag": "select",

      "outbounds": [
        "proxy-a",
        "proxy-b",
        "proxy-c"
      ],
      "default": "proxy-c",
      "interrupt_exist_connections": false
    }

The selector can only be controlled through the Clash API currently.

### Fields

#### outbounds

Required

List of outbound tags to select.

#### default

The default outbound tag. The first outbound will be used if empty.

#### interrupt_exist_connections

Interrupt existing connections when the selected outbound has changed.

Only inbound connections are affected by this setting, internal connections will always be interrupted.